*********************************************************
* IBM Confidential
*
*    OCO Source Materials
*
*    (C) Copyright IBM Corp. 2006-2007
*
*    The source code for this program is not published or otherwise
*    divested of its trade secrets, irrespective of what has been
*    deposited with the U.S. Copyright Office.
*********************************************************
 
/* UAdvisor for KYNAPSRV Historical Collection */

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="UADVISOR_KYN_KYNAPSRV";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="UADVISOR_KYN_KYNAPSRV";
						  
INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSTART,
CMD,
LSTCCSID,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBCLASSID,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
SITNAME,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSTART */
"*SYN",
/* CMD */
"*NONE",
/* LSTCCSID */
"65535",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SPUFIL",
/* PDT */
'*IF *HISTRULE SELECT ORIGINNODE
 FROM KYN.KYNAPSRV WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
 SYSTEM.PARMA("WAREHOUSE", "TRIGGER(96)", 11) AND
 SYSTEM.PARMA("INTERVAL", "900000", 10) AND
 SYSTEM.PARMA("NODELIST", "*ALL", 4) AND
 SYSTEM.PARMA("SITNAME", "UADVISOR_KYN_KYNAPSRV", 21)',
/* PRNAMES */
"PRNAMES",
/* QIBCLASSID */
"5140",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"00",
/* REEV_TIME */
"001500",
/* SENDMSGQ */
"*NONE",
/* SITNAME */
"UADVISOR_KYN_KYNAPSRV",
/* TEXT */
"UADVISOR SITUATION FOR KYNAPSRV HISTORY"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"N",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"HISTCNFG",
/* NODEL */
"*ALL_CMS",
/* OBJCLASS */
"5140",
/* OBJNAME */
"UADVISOR_KYN_KYNAPSRV"
);

 
/* UAdvisor for KYNTHRDP Historical Collection */

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="UADVISOR_KYN_KYNTHRDP";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="UADVISOR_KYN_KYNTHRDP";
						  
INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSTART,
CMD,
LSTCCSID,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBCLASSID,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
SITNAME,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSTART */
"*SYN",
/* CMD */
"*NONE",
/* LSTCCSID */
"65535",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SPUFIL",
/* PDT */
'*IF *HISTRULE SELECT ORIGINNODE
 FROM KYN.KYNTHRDP WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
 SYSTEM.PARMA("WAREHOUSE", "TRIGGER(96)", 11) AND
 SYSTEM.PARMA("INTERVAL", "900000", 10) AND
 SYSTEM.PARMA("NODELIST", "*ALL", 4) AND
 SYSTEM.PARMA("SITNAME", "UADVISOR_KYN_KYNTHRDP", 21)',
/* PRNAMES */
"PRNAMES",
/* QIBCLASSID */
"5140",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"00",
/* REEV_TIME */
"001500",
/* SENDMSGQ */
"*NONE",
/* SITNAME */
"UADVISOR_KYN_KYNTHRDP",
/* TEXT */
"UADVISOR SITUATION FOR KYNTHRDP HISTORY"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"N",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"HISTCNFG",
/* NODEL */
"*ALL_CMS",
/* OBJCLASS */
"5140",
/* OBJNAME */
"UADVISOR_KYN_KYNTHRDP"
);

 
/* UAdvisor for KYNMSGENG Historical Collection */

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="UADVISOR_KYN_KYNMSGENG";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="UADVISOR_KYN_KYNMSGENG";
						  
INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSTART,
CMD,
LSTCCSID,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBCLASSID,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
SITNAME,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000G00000000000000000000000002100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSTART */
"*SYN",
/* CMD */
"*NONE",
/* LSTCCSID */
"65535",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SPUFIL",
/* PDT */
'*IF *HISTRULE SELECT ORIGINNODE
 FROM KYN.KYNMSGENG WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
 SYSTEM.PARMA("WAREHOUSE", "TRIGGER(96)", 11) AND
 SYSTEM.PARMA("INTERVAL", "900000", 10) AND
 SYSTEM.PARMA("NODELIST", "*ALL", 4) AND
 SYSTEM.PARMA("SITNAME", "UADVISOR_KYN_KYNMSGENG", 22)',
/* PRNAMES */
"PRNAMES",
/* QIBCLASSID */
"5140",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"00",
/* REEV_TIME */
"001500",
/* SENDMSGQ */
"*NONE",
/* SITNAME */
"UADVISOR_KYN_KYNMSGENG",
/* TEXT */
"UADVISOR SITUATION FOR KYNMSGENG HISTORY"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"N",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"HISTCNFG",
/* NODEL */
"*ALL_CMS",
/* OBJCLASS */
"5140",
/* OBJNAME */
"UADVISOR_KYN_KYNMSGENG"
);

 
/* UAdvisor for KYNSVCCOMP Historical Collection */

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="UADVISOR_KYN_KYNSVCCOMP";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="UADVISOR_KYN_KYNSVCCOMP";
						  
INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSTART,
CMD,
LSTCCSID,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBCLASSID,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
SITNAME,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000G00000000000000000000000000100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSTART */
"*SYN",
/* CMD */
"*NONE",
/* LSTCCSID */
"65535",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SPUFIL",
/* PDT */
'*IF *HISTRULE SELECT ORIGINNODE
 FROM KYN.KYNSVCCOMP WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
 SYSTEM.PARMA("WAREHOUSE", "TRIGGER(96)", 11) AND
 SYSTEM.PARMA("INTERVAL", "900000", 10) AND
 SYSTEM.PARMA("NODELIST", "*ALL", 4) AND
 SYSTEM.PARMA("SITNAME", "UADVISOR_KYN_KYNSVCCOMP", 23)',
/* PRNAMES */
"PRNAMES",
/* QIBCLASSID */
"5140",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"00",
/* REEV_TIME */
"001500",
/* SENDMSGQ */
"*NONE",
/* SITNAME */
"UADVISOR_KYN_KYNSVCCOMP",
/* TEXT */
"UADVISOR SITUATION FOR KYNSVCCOMP HISTORY"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"N",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"HISTCNFG",
/* NODEL */
"*ALL_CMS",
/* OBJCLASS */
"5140",
/* OBJNAME */
"UADVISOR_KYN_KYNSVCCOMP"
);

 
/* UAdvisor for KYNWPTALS Historical Collection */

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="UADVISOR_KYN_KYNWPTALS";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="UADVISOR_KYN_KYNWPTALS";
						  
INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSTART,
CMD,
LSTCCSID,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBCLASSID,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
SITNAME,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000W00000000000000000000000000000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSTART */
"*SYN",
/* CMD */
"*NONE",
/* LSTCCSID */
"65535",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SPUFIL",
/* PDT */
'*IF *HISTRULE SELECT ORIGINNODE
 FROM KYN.KYNWPTALS WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
 SYSTEM.PARMA("WAREHOUSE", "TRIGGER(96)", 11) AND
 SYSTEM.PARMA("INTERVAL", "900000", 10) AND
 SYSTEM.PARMA("NODELIST", "*ALL", 4) AND
 SYSTEM.PARMA("SITNAME", "UADVISOR_KYN_KYNWPTALS", 22)',
/* PRNAMES */
"PRNAMES",
/* QIBCLASSID */
"5140",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"00",
/* REEV_TIME */
"001500",
/* SENDMSGQ */
"*NONE",
/* SITNAME */
"UADVISOR_KYN_KYNWPTALS",
/* TEXT */
"UADVISOR SITUATION FOR KYNWPTALS HISTORY"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"N",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"HISTCNFG",
/* NODEL */
"*ALL_CMS",
/* OBJCLASS */
"5140",
/* OBJNAME */
"UADVISOR_KYN_KYNWPTALS"
);

 
/* UAdvisor for KYNREQHIS Historical Collection */

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="UADVISOR_KYN_KYNREQHIS";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="UADVISOR_KYN_KYNREQHIS";
						  
INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSTART,
CMD,
LSTCCSID,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBCLASSID,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
SITNAME,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSTART */
"*SYN",
/* CMD */
"*NONE",
/* LSTCCSID */
"65535",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SPUFIL",
/* PDT */
'*IF *HISTRULE SELECT ORIGINNODE
 FROM KYN.KYNREQHIS WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
 SYSTEM.PARMA("WAREHOUSE", "TRIGGER(96)", 11) AND
 SYSTEM.PARMA("INTERVAL", "900000", 10) AND
 SYSTEM.PARMA("NODELIST", "*ALL", 4) AND
 SYSTEM.PARMA("SITNAME", "UADVISOR_KYN_KYNREQHIS", 22)',
/* PRNAMES */
"PRNAMES",
/* QIBCLASSID */
"5140",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"00",
/* REEV_TIME */
"001500",
/* SENDMSGQ */
"*NONE",
/* SITNAME */
"UADVISOR_KYN_KYNREQHIS",
/* TEXT */
"UADVISOR SITUATION FOR KYNREQHIS HISTORY"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"N",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"HISTCNFG",
/* NODEL */
"*ALL_CMS",
/* OBJCLASS */
"5140",
/* OBJNAME */
"UADVISOR_KYN_KYNREQHIS"
);

 
/* UAdvisor for KYNGCACT Historical Collection */

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="UADVISOR_KYN_KYNGCACT";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="UADVISOR_KYN_KYNGCACT";
						  
INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSTART,
CMD,
LSTCCSID,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBCLASSID,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
SITNAME,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSTART */
"*SYN",
/* CMD */
"*NONE",
/* LSTCCSID */
"65535",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SPUFIL",
/* PDT */
'*IF *HISTRULE SELECT ORIGINNODE
 FROM KYN.KYNGCACT WHERE SYSTEM.PARMA("HISTORY", "IRA", 3) AND
 SYSTEM.PARMA("WAREHOUSE", "TRIGGER(96)", 11) AND
 SYSTEM.PARMA("INTERVAL", "900000", 10) AND
 SYSTEM.PARMA("NODELIST", "*ALL", 4) AND
 SYSTEM.PARMA("SITNAME", "UADVISOR_KYN_KYNGCACT", 21)',
/* PRNAMES */
"PRNAMES",
/* QIBCLASSID */
"5140",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"00",
/* REEV_TIME */
"001500",
/* SENDMSGQ */
"*NONE",
/* SITNAME */
"UADVISOR_KYN_KYNGCACT",
/* TEXT */
"UADVISOR SITUATION FOR KYNGCACT HISTORY"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"N",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"HISTCNFG",
/* NODEL */
"*ALL_CMS",
/* OBJCLASS */
"5140",
/* OBJNAME */
"UADVISOR_KYN_KYNGCACT"
);


/*  SITUATIONS  */


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASAppDiscovered";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASAppDiscovered";

$PARMS(
"A new WAS application is discovered. This happens when DC first
 time connects (for all deployed applications), or when new
 application deployed on server."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m00000000000000000000000002100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"YNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"YN:Start_Baselining &{Application_Monitoring_Configuration.App_Id}
 7/0:0:0 1:00:00 1",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Application_Monitoring_Configuration.Mon_Status *EQ
 Discovered",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASAppDiscovered",
/* SITINFO */
"SEV=Informational;ATOM=KYNAPMONCF.APP_NAME",
/* TEXT */
"WAS Application Discovered"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASAppDiscovered";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASAppDiscovered",
/* STATE */
"Informational",
/* TEMPLATE */
"KYN.0703.KYNAPMONCF",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppDiscovered"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppDiscovered"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_ESB_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppDiscovered"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PROCESS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppDiscovered"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASAppHealthGood";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASAppHealthGood";

$PARMS(
"WAS application is running on good health level. Examine
 Application Health workspaces for additional details."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"YN:Set_Application_Monitoring &{Application_Health_Status.App_Id} 4
 1 2",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Application_Health_Status.Application_Health *EQ Good",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASAppHealthGood",
/* SITINFO */
"SEV=Informational;ATOM=KYNAPHLTH.APP_NAME",
/* TEXT */
"WAS Application Health Good"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASAppHealthGood";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASAppHealthGood",
/* STATE */
"Informational",
/* TEMPLATE */
"KYN.0010.KYNAPHLTH",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppHealthGood"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppHealthGood"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_ESB_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppHealthGood"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PROCESS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppHealthGood"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WORKPLACE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppHealthGood"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASAppHealthFair";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASAppHealthFair";

$PARMS(
"WAS application is running on fair health level. Examine
 Application Health workspaces for additional details."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"YN:Set_Application_Monitoring &{Application_Health_Status.App_Id} 4
 2 2",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Application_Health_Status.Application_Health *EQ Fair",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASAppHealthFair",
/* SITINFO */
"SEV=Warning;ATOM=KYNAPHLTH.APP_NAME",
/* TEXT */
"WAS Application Health Fair"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASAppHealthFair";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASAppHealthFair",
/* STATE */
"Warning",
/* TEMPLATE */
"KYN.0010.KYNAPHLTH",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppHealthFair"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppHealthFair"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_ESB_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppHealthFair"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PROCESS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppHealthFair"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WORKPLACE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppHealthFair"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASAppHealthBad";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASAppHealthBad";

$PARMS(
"WAS application is running on bad health level. Examine Application
 Health workspaces for additional details."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"YN:Set_Application_Monitoring &{Application_Health_Status.App_Id} 4
 2 25",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Application_Health_Status.Application_Health *EQ Bad",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASAppHealthBad",
/* SITINFO */
"SEV=Critical;ATOM=KYNAPHLTH.APP_NAME",
/* TEXT */
"WAS Application Health Bad"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASAppHealthBad";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASAppHealthBad",
/* STATE */
"Critical",
/* TEMPLATE */
"KYN.0010.KYNAPHLTH",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppHealthBad"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppHealthBad"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_ESB_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppHealthBad"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PROCESS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppHealthBad"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WORKPLACE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASAppHealthBad"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASWebApplicationError";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASWebApplicationError";

$PARMS(
"An error has occurred in the Web application. For details, consult
 the Log Analysis workspace for error messages, and check the
 application server's log files."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m00000000000000000000000002100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*NO",
/* CMD */
"*NONE",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Web_Applications.Error_Count *GT 0",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASWebApplicationError",
/* SITINFO */
"SEV=Critical;ATOM=KYNAPP.APPL_NAME",
/* TEXT */
"Web Application Error."
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASWebApplicationError";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASWebApplicationError",
/* STATE */
"Critical",
/* TEMPLATE */
"KYN.0140.KYNAPP",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASWebApplicationError"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASWebApplicationError"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_ESB_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASWebApplicationError"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PROCESS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASWebApplicationError"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASServletsJSPsError";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASServletsJSPsError";

$PARMS(
"An error has occurred in a servlet or JSP. For details, consult the
 Log Analysis workspace for error messages, and check the
 application server's log files."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m00000000000000000000000002100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*NO",
/* CMD */
"*NONE",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Servlets_JSPs.Error_Count *GT 0",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASServletsJSPsError",
/* SITINFO */
"SEV=Critical;ATOM=KYNSERVLT.SVLT_NAME",
/* TEXT */
"Servlets/JSPs Error."
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASServletsJSPsError";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASServletsJSPsError",
/* STATE */
"Critical",
/* TEMPLATE */
"KYN.0080.KYNSERVLT",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASServletsJSPsError"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASServletsJSPsError"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_ESB_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASServletsJSPsError"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PROCESS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASServletsJSPsError"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASDBConnectionPoolThreadTimeout";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASDBConnectionPoolThreadTimeout";

$PARMS(
"The thread timeout count in the DB Connection Pools is greater than
 0; therefore, the connection could not be obtained (possibly
 because the pool size is too small, the backend database server is
 busy, or the network is overloaded). For details, consult the Log
 Analysis workspace for the error messages, and check the
 application server's log file."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*NO",
/* CMD */
"*NONE",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE DB_Connection_Pools.Threads_Timed_Out *GT 0",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASDBConnectionPoolThreadTimeout",
/* SITINFO */
"SEV=Critical;ATOM=KYNDBCONP.DSSH_NAME",
/* TEXT */
"Thread Timeout for DB Connection Pools."
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASDBConnectionPoolThreadTimeout";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASDBConnectionPoolThreadTimeout",
/* STATE */
"Critical",
/* TEMPLATE */
"KYN.0180.KYNDBCONP",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASDBConnectionPoolThreadTimeout"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASDBConnectionPoolThreadTimeout"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_ESB_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASDBConnectionPoolThreadTimeout"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PROCESS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASDBConnectionPoolThreadTimeout"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WORKPLACE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASDBConnectionPoolThreadTimeout"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASContainerTransactionRollback";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASContainerTransactionRollback";

$PARMS(
"The transaction manager's rollback count is greater than 0,
 (possibly because the backend Enterprise Information System--for
 example, CICS, WebSphere MQ, or DB2--is unavailable or the
 application's business logic failed). For details, consult the Log
 Analysis workspace for the error messages, and check the
 application server's log file."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*NO",
/* CMD */
"*NONE",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Container_Transactions.Global_Transactions_Rolled_Back
 *GT 0 *OR *VALUE
 Container_Transactions.Local_Transactions_Rolled_Back *GT 0",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASContainerTransactionRollback",
/* SITINFO */
"SEV=Critical;ATOM=KYNTRANS.SERVER_NAM",
/* TEXT */
"Container Transaction Rollback"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASContainerTransactionRollback";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASContainerTransactionRollback",
/* STATE */
"Critical",
/* TEMPLATE */
"KYN.0200.KYNTRANS",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASContainerTransactionRollback"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASContainerTransactionRollback"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_ESB_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASContainerTransactionRollback"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PROCESS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASContainerTransactionRollback"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WORKPLACE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASContainerTransactionRollback"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASError";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASError";

$PARMS(
"An error has occurred in the WebSphere application server. Scroll
 the Initial Situation Values view, and examine the message text to
 determine the corrective action; consult the application server's
 log files for details."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"*NONE",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Log_Analysis.Severity *GT 21",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASError",
/* SITINFO */
"SEV=Critical;ATOM=KYNLOGANAL.ERR_MSG",
/* TEXT */
"WebSphere Application Server Error"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASError";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASError",
/* STATE */
"Critical",
/* TEMPLATE */
"KYN.0000.KYNLOGANAL",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASError"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASError"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_ESB_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASError"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PROCESS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASError"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WORKPLACE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASError"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASNotConnected";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASNotConnected";

$PARMS(
"The ITCAM for WebSphere secondary data collector running in the
 application server has not connected to the Monitoring Agent. This
 may indicate that the WebSphere Application Server has not started.
 Use the Start_WAS_Server_ command in the Take Action view to the
 left to start your application server."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000000000000000000000000000001000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"*NONE",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Application_Server_Status.Status *EQ 0",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASNotConnected",
/* SITINFO */
"SEV=Critical;ATOM=KYNAPSST.SERVER_NAM",
/* TEXT */
"WebSphere Application Server is Not Connected"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASNotConnected";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASNotConnected",
/* STATE */
"Critical",
/* TEMPLATE */
"KYN.0000.KYNAPSST",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*ITCAM_WEBSPHERE_AGENT",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASNotConnected"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASOutofHeapSpace";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASOutofHeapSpace";

$PARMS(
"Heap allocation failed: heap space exhausted. Use either ITCAM for
 WebSphere's Memory Leaks report to check your applications for
 memory leaks or the WebSphere administrative console to tune the
 space allocated to the heap."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"*NONE",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Allocation_Failure.Heap_Status *EQ 1 *OR *VALUE
 Allocation_Failure.Heap_Status *EQ 3",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASOutofHeapSpace",
/* SITINFO */
"SEV=Critical;ATOM=KYNGCAF.SERVER_NAM",
/* TEXT */
"WebSphere Application Server out of Heap Space"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASOutofHeapSpace";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASOutofHeapSpace",
/* STATE */
"Critical",
/* TEMPLATE */
"KYN.0000.KYNGCAF",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASOutofHeapSpace"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASOutofHeapSpace"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_ESB_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASOutofHeapSpace"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PROCESS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASOutofHeapSpace"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WORKPLACE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASOutofHeapSpace"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASHighResponseTime";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASHighResponseTime";

$PARMS(
"The average request response time is high: greater than 2 seconds.
 Consult the Request Analysis workspace to troubleshoot the slow
 response times."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"*NONE",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Request_Times_and_Rates.Average_Request_Response_Time
 *GT 2000",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASHighResponseTime",
/* SITINFO */
"SEV=Critical;ATOM=KYNREQHIS.APP_NAME",
/* TEXT */
"WebSphere Application Server Response Time High"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASHighResponseTime";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASHighResponseTime",
/* STATE */
"Critical",
/* TEMPLATE */
"KYN.0000.KYNREQHIS",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASHighResponseTime"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASHighResponseTime"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_ESB_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASHighResponseTime"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PROCESS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASHighResponseTime"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WORKPLACE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASHighResponseTime"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASHighCPUPercentUsed";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASHighCPUPercentUsed";

$PARMS(
"The percentage of the CPU used by the application server JVM is
 high: greater than 80%. Consult the WebSphere App Server workspace
 to troubleshoot the high CPU usage."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"*NONE",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Application_Server.CPU_Used_Percent *GT 80",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASHighCPUPercentUsed",
/* SITINFO */
"SEV=Critical;ATOM=KYNAPSRV.SERVER_NAM",
/* TEXT */
"WebSphere Application Server Percent CPU Used High"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASHighCPUPercentUsed";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASHighCPUPercentUsed",
/* STATE */
"Critical",
/* TEMPLATE */
"KYN.0080.KYNAPSRV",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASHighCPUPercentUsed"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASHighCPUPercentUsed"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_ESB_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASHighCPUPercentUsed"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PROCESS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASHighCPUPercentUsed"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WORKPLACE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASHighCPUPercentUsed"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASThreadPoolPercentMaxed";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASThreadPoolPercentMaxed";

$PARMS(
"The average percentage of the time that all threads are in use is
 high: greater than 80%. This may mean the pool size is too small;
 use the WebSphere administrative console to tune the thread pool
 size."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*NO",
/* CMD */
"*NONE",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Thread_Pools.Percent_of_Time_Pool_at_Max *GT 80",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASThreadPoolPercentMaxed",
/* SITINFO */
"SEV=Critical;ATOM=KYNTHRDP.THRDP_NAME",
/* TEXT */
"WebSphere Application Server Thread Pool Percent Maxed"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASThreadPoolPercentMaxed";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASThreadPoolPercentMaxed",
/* STATE */
"Critical",
/* TEMPLATE */
"KYN.0220.KYNTHRDP",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASThreadPoolPercentMaxed"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASThreadPoolPercentMaxed"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_ESB_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASThreadPoolPercentMaxed"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PROCESS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASThreadPoolPercentMaxed"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WORKPLACE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASThreadPoolPercentMaxed"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASHighGCTimePercent";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASHighGCTimePercent";

$PARMS(
"The percentage of time that the garbage collector was active is
 high: greater than 80%. This may mean your heap size is too small;
 use the WebSphere administrative console to tune either the
 garbage-collection parameters or the space allocated to the heap."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*YES",
/* CMD */
"*NONE",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Garbage_Collection_Analysis.Real_Time_Percent *GT 80",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASHighGCTimePercent",
/* SITINFO */
"SEV=Critical;ATOM=KYNGCACT.SERVER_NAM",
/* TEXT */
"WebSphere Application Server High GC Time Percent"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASHighGCTimePercent";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASHighGCTimePercent",
/* STATE */
"Critical",
/* TEMPLATE */
"KYN.0040.KYNGCACT",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASHighGCTimePercent"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASHighGCTimePercent"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_ESB_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASHighGCTimePercent"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PROCESS_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASHighGCTimePercent"
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_WORKPLACE_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASHighGCTimePercent"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASPortalPageResponseTime";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASPortalPageResponseTime";

$PARMS(
"The average request response time is high: greater than 2 seconds."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000W00000000000000000000000000000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*NO",
/* CMD */
"*NONE",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Portal_Page_Summary.Average_Response_Time *GT 2000",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASPortalPageResponseTime",
/* SITINFO */
"SEV=Critical;ATOM=KYNWPPAGE.NAME",
/* TEXT */
"Portal Page Response Time Threshold"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASPortalPageResponseTime";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASPortalPageResponseTime",
/* STATE */
"Critical",
/* TEMPLATE */
"KYN.0000.KYNWPPAGE",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASPortalPageResponseTime"
);


DELETE FROM O4SRV.TSITDESC
WHERE SITNAME="WASPortletResponseTime";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME ="WASPortletResponseTime";

$PARMS(
"The average request response time is high: greater than 2 seconds."
);

INSERT INTO O4SRV.TSITDESC
(
AFFINITIES,
ALERTLIST,
AUTOSOPT,
AUTOSTART,
CMD,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
PDT,
PRNAMES,
QIBSCOPE,
REEV_DAYS,
REEV_TIME,
SENDMSGQ,
ADVISE,
SITNAME,
SITINFO,
TEXT
)
VALUES
(
/* AFFINITIES */
"0000W00000000000000000000000000000000000000",
/* ALERTLIST */
"*NO",
/* AUTOSOPT */
"NNN     ",
/* AUTOSTART */
"*NO",
/* CMD */
"*NONE",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* PDT */
"*IF *VALUE Portlet_Summary.Average_Response_Time *GT 2000",
/* PRNAMES */
"MV52",
/* QIBSCOPE */
"E",
/* REEV_DAYS */
"0",
/* REEV_TIME */
"000500" ,
/* SENDMSGQ */
"*NONE",
/* ADVISE */
?,
/* SITNAME */
"WASPortletResponseTime",
/* SITINFO */
"SEV=Critical;ATOM=KYNWPLETS.NAME",
/* TEXT */
"Portlet Response Time Threshold"
);

DELETE FROM O4SRV.TTMPLSIT
WHERE NAME ="WASPortletResponseTime";

INSERT INTO O4SRV.TTMPLSIT
(
NAME,
STATE,
TEMPLATE,
TYPE
)
VALUES
(
/* NAME */
"WASPortletResponseTime",
/* STATE */
"Critical",
/* TEMPLATE */
"KYN.0000.KYNWPLETS",
/* TYPE */
256
);

INSERT INTO O4SRV.TOBJACCL
(
HUB,
LSTDATE,
LSTRELEASE,
LSTUSRPRF,
NODEL,
OBJCLASS,
OBJNAME
)
VALUES
(
/* HUB */
"Y",
/* LSTDATE */
"1212676155000000",
/* LSTRELEASE */
"V620",
/* LSTUSRPRF */
"SYSADMIN",
/* NODEL */
"*CAM_WAS_PORTAL_SERVER",
/* OBJCLASS */
"5140",
/* OBJNAME */
"WASPortletResponseTime"
);

/*  TAKE ACTIONS  */

DELETE FROM O4SRV.CCT
WHERE KEY = "YNSTARTBL";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNSTARTBL",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Start_Baselining",
/* DESC */
"Start a baselening for WAS Application",
/* CMD */
"YN:Start_Baselining &App_Id &Period &Update_Interval &Run_Clean"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNSTOPBL";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNSTOPBL",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Stop_Baselining",
/* DESC */
"Stop a baselening for WAS Application",
/* CMD */
"YN:Stop_Baselining &App_Id"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNARESATS";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNARESATS",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Enable_Auto_Threshold",
/* DESC */
"Sets automatic response threshold for WAS Application",
/* CMD */
"YN:Enable_Auto_Threshold &App_Id &Request_Id &Auto_Threshold_Percent
 &Auto_Threshold_Deviation &Auto_Threshold_Fair_Projection
 &Auto_Threshold_Bad_Projection &Use_Default"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNREQRESTS";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNREQRESTS",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Override_Auto_Threshold",
/* DESC */
"Override request response thresholds for WAS Application",
/* CMD */
"YN:Override_Auto_Threshold &App_Id &Request_Id
 &Fair_Response_Threshold &Bad_Response_Threshold"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNAPPMONEN";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNAPPMONEN",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Set_Application_Monitoring",
/* DESC */
"Enables monitoring of WAS Application",
/* CMD */
"YN:Set_Application_Monitoring &App_Id &Mon_Status
 &Request_Data_Monitoring_Level &Request_Data_Sampling_Rate"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNERRRTS";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNERRRTS",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Set_Completion_Thresholds",
/* DESC */
"Sets error rate thresholds for WAS Application",
/* CMD */
"YN:Set_Completion_Thresholds &App_Id &Fair_Completion_Rate
 &Bad_Completion_Rate"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNUPDTBSL";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNUPDTBSL",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Update_Baseline",
/* DESC */
"Requests immediate updated from baseline data.",
/* CMD */
"YN:Update_Baseline_Snapshot &App_Id"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNSTARTSRV";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNSTARTSRV",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Start_WebSphere_Server",
/* DESC */
"Start a WebSphere Application Server",
/* CMD */
"YN:StartAppSvr &User &Password"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNSTARTSRVA";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNSTARTSRVA",
/* AFFINITIES */
"0000000000000000000000000000001000000000000",
/* NAME */
"Start_WebSphere_Server_",
/* DESC */
"Start a WebSphere Application Server",
/* CMD */
"YN:StartAppSvr &Server_Name &User &Password"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNSTOPSRV";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNSTOPSRV",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Stop_WebSphere_Server",
/* DESC */
"Stop a WebSphere Application Server",
/* CMD */
"YN:StopAppSvr &User &Password"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNSTOPSRVA";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNSTOPSRVA",
/* AFFINITIES */
"0000000000000000000000000000001000000000000",
/* NAME */
"Stop_WebShere_Server_",
/* DESC */
"Stop a WebSphere Application Server",
/* CMD */
"YN:StopAppSvr &Server_Name &User &Password"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNCYCLESRV";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNCYCLESRV",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Recycle_WebSphere_Server",
/* DESC */
"Recycle a WebSphere Application Server",
/* CMD */
"YN:CycleAppSvr &User &Password"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNCYCLESRVA";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNCYCLESRVA",
/* AFFINITIES */
"0000000000000000000000000000001000000000000",
/* NAME */
"Recycle_WebSphere_Server_",
/* DESC */
"Recycle a WebSphere Application Server",
/* CMD */
"YN:CycleAppSvr &Server_Name &User &Password"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNREMSNODE";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNREMSNODE",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Remove_WebSphere_SubNode",
/* DESC */
"Remove an inactive ITCAM for WebSphere subnode",
/* CMD */
"YN:RemSubNode"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNREMSNODEA";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNREMSNODEA",
/* AFFINITIES */
"0000000000000000000000000000001000000000000",
/* NAME */
"Remove_WebSphere_SubNode_",
/* DESC */
"Remove an inactive ITCAM for WebSphere subnode",
/* CMD */
"YN:RemSubNode &Server_Name"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNSTARTGCMONITOR";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNSTARTGCMONITOR",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Start_GC_Monitoring",
/* DESC */
"Begin reporting garbage-collection data",
/* CMD */
"YN:StartGCMonitor"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNSTOPGCMONITOR";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNSTOPGCMONITOR",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Stop_GC_Monitoring",
/* DESC */
"Stop reporting garbage-collection data",
/* CMD */
"YN:StopGCMonitor"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNSTARTREQMONITOR";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNSTARTREQMONITOR",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Start_Request_Monitoring",
/* DESC */
"Begin reporting request data",
/* CMD */
"YN:StartRequestMonitor &Level"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNSETREQMONITOR";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNSETREQMONITOR",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Set_Request_Sampling_Rate",
/* DESC */
"Set the sampling rate for request data",
/* CMD */
"YN:SetRequestSamplingRate &Percent"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNSTOPREQMONITOR";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNSTOPREQMONITOR",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Stop_Request_Monitoring",
/* DESC */
"Stop reporting request data",
/* CMD */
"YN:StopRequestMonitor"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNSTARTRESMONITOR";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNSTARTRESMONITOR",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Start_Resource_Monitoring",
/* DESC */
"Begin reporting PMI data",
/* CMD */
"YN:StartResourceMonitor"
);


DELETE FROM O4SRV.CCT
WHERE KEY = "YNSTOPRESMONITOR";
  
INSERT INTO O4SRV.CCT
(
KEY,
AFFINITIES,
NAME,
DESC,
CMD
)
VALUES
(
/* KEY */
"YNSTOPRESMONITOR",
/* AFFINITIES */
"0000m0000000000000000000000000I100000000000",
/* NAME */
"Stop_Resource_Monitoring",
/* DESC */
"Stop reporting PMI data",
/* CMD */
"YN:StopResourceMonitor"
);

UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYN2030"
    WHERE SITNAME = "WASContainerTransactionRollback";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASContainerTransactionRollback";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYN2031"
    WHERE SITNAME = "WASDBConnectionPoolThreadTimeout";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASDBConnectionPoolThreadTimeout";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYN2002"
    WHERE SITNAME = "WASError";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASError";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYN2003"
    WHERE SITNAME = "WASHighCPUPercentUsed";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASHighCPUPercentUsed";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYN2004"
    WHERE SITNAME = "WASHighGCTimePercent";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASHighGCTimePercent";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYN2005"
    WHERE SITNAME = "WASHighResponseTime";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASHighResponseTime";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYN2032"
    WHERE SITNAME = "WASNotConnected";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASNotConnected";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYN2007"
    WHERE SITNAME = "WASOutofHeapSpace";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASOutofHeapSpace";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYN2008"
    WHERE SITNAME = "WASServletsJSPsError";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASServletsJSPsError";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYN2009"
    WHERE SITNAME = "WASThreadPoolPercentMaxed";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASThreadPoolPercentMaxed";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYN2010"
    WHERE SITNAME = "WASWebApplicationError";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASWebApplicationError";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYN2036"
    WHERE NAME = "Recycle_WAS_Server";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYN2037"
    WHERE NAME = "Recycle_WAS_Server_";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYN2038"
    WHERE NAME = "Remove_SubNode";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYN2039"
    WHERE NAME = "Remove_SubNode_";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYN2040"
    WHERE NAME = "Start_WAS_Server";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYN2041"
    WHERE NAME = "Start_WAS_Server_";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYN2042"
    WHERE NAME = "Stop_WAS_Server";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYN2043"
    WHERE NAME = "Stop_WAS_Server_";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYNV612000"
    WHERE SITNAME = "WASPortalPageResponseTime";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASPortalPageResponseTime";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYNV612001"
    WHERE SITNAME = "WASPortletResponseTime";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASPortletResponseTime";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612565"
    WHERE NAME = "Recycle_Application_Server";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612566"
    WHERE NAME = "Recycle_Application_Server_";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612567"
    WHERE NAME = "Remove_J2EE_SubNode";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612568"
    WHERE NAME = "Remove_J2EE_SubNode_";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612569"
    WHERE NAME = "Set_Request_Sampling_Rate";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612570"
    WHERE NAME = "Start_GC_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612571"
    WHERE NAME = "Start_Request_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612572"
    WHERE NAME = "Start_Resource_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612573"
    WHERE NAME = "Start_Application_Server";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612574"
    WHERE NAME = "Start_Application_Server_";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612575"
    WHERE NAME = "Stop_GC_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612576"
    WHERE NAME = "Stop_Request_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612577"
    WHERE NAME = "Stop_Resource_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612578"
    WHERE NAME = "Stop_Application_Server";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612579"
    WHERE NAME = "Stop_Application_Server_";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612580"
    WHERE NAME = "Recycle_WebSphere_Server";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612581"
    WHERE NAME = "Recycle_WebSphere_Server_";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612582"
    WHERE NAME = "Remove_WebSphere_SubNode";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612583"
    WHERE NAME = "Remove_WebSphere_SubNode_";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612584"
    WHERE NAME = "Set_Request_Sampling_Rate";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612585"
    WHERE NAME = "Start_GC_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612586"
    WHERE NAME = "Start_Request_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612587"
    WHERE NAME = "Start_Resource_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612588"
    WHERE NAME = "Start_WebSphere_Server";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612589"
    WHERE NAME = "Start_WebSphere_Server_";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612590"
    WHERE NAME = "Stop_GC_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612591"
    WHERE NAME = "Stop_Request_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612592"
    WHERE NAME = "Stop_Resource_Monitoring";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612593"
    WHERE NAME = "Stop_WebSphere_Server";
UPDATE O4SRV.CCT
    SET DESC = "Kyn:KYNV612594"
    WHERE NAME = "Stop_WebShere_Server_";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYNWR3000"
    WHERE SITNAME = "WASAppDiscovered";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASAppDiscovered";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYNWR3001"
    WHERE SITNAME = "WASAppHealthBad";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASAppHealthBad";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYNWR3002"
    WHERE SITNAME = "WASAppHealthFair";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASAppHealthFair";
UPDATE O4SRV.TSITDESC
    SET TEXT = "Kyn:KYNWR3003"
    WHERE SITNAME = "WASAppHealthGood";
UPDATE O4SRV.TSITDESC
SET ADVISE = 'ADVICE("kyn:"+$ISITSTSH.SITNAME$);'
WHERE SITNAME = "WASAppHealthGood";

